Bug 319271 - installer provides temptation to install firefox (plus gnome plus X) on satellite server
installer provides temptation to install firefox (plus gnome plus X) on satel...
Status: CLOSED WONTFIX
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
510
All Linux
low Severity low
: ---
: ---
Assigned To: Jan Pazdziora
Preethi Thomas
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-04 17:03 EDT by Máirín Duffy
Modified: 2007-11-29 15:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-28 13:23:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Máirín Duffy 2007-10-04 17:03:02 EDT
Description of problem:

discovered today that we have some customers who install firefox just to do the
final post-install configuration of a satellite in the webui. they then leave X,
firefox, etc. installed on the system.

it is generally bad practice to do this on systems meant to be servers,
especially something as important to your infrastructure as a satellite server,
so i think we should make an effort to make this kind of behavior less tempting!

suggestion: let's add some text to the command line installer so that, when the
installation completes and the person is referred to the webui for further
configuration. this text should suggest that the user should use elinks or lynx
to connect to the satellite server to run through the few webui screens for
final configuration of the satellite. it may also be a good idea to add a
warning about installing firefox on a system such as satellite, suggesting that
they remove it after they are done if they install it or that they really should
go get a laptop :)

one issue: need to fix bug 319251 first.
Comment 1 Tom Madden 2007-10-16 14:53:18 EDT
I was on the same call.   Don't think this is necessary.
Comment 2 RHEL Product and Program Management 2007-10-16 15:02:37 EDT
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 3 Máirín Duffy 2007-10-16 15:05:08 EDT
this simple text change was discussed with Cliff, is of minimal effort (adding a
string to a flat text file), and would provide the customer with a much better
first experience with Satellite. 

reopening bug.
Comment 4 Máirín Duffy 2007-10-22 20:13:56 EDT
Suggested additional text for end of installation:

"Installation complete.\n

To complete final setup of your Satellite, including creation of the Satellite
administrator account, please visit the following URL:\n

https://$SATELLITE_URL \n

NOTE: We recommend using a text-based browser ('elinks' and 'lynx' are two that
are available in Red Hat Enterprise Linux) if you would prefer to continue setup
on this system directly using the above URL. We do not recommend installing a
GUI-based browser on your Satellite system in order to minimize the potential
for security vulnerabilities on the system."
Comment 5 Jan Pazdziora 2007-11-20 05:31:05 EST
Máirín, I need to wrap it to under 80 characters per line. So I recommend
the following linebreaks:

Installation complete.
Visit https://$SATELLITE_URL to create the satellite administrator account.
NOTE: We recommend using a text-based browser ('elinks' and 'lynx' are two
  that are available in Red Hat Enterprise Linux) if you would prefer to
  continue setup on this system directly using the above URL. We do not
  recommend installing a GUI-based browser on your Satellite system in order
  to minimize the potential for security vulnerabilities on the system.

(The first two lines are the ones we currently have in the installer.)
Comment 6 Máirín Duffy 2007-11-20 09:46:56 EST
Hi Jan, Could there be a space between the 'satellite administrator account.'
line and the 'NOTE:' line?
Comment 7 Jan Pazdziora 2007-11-20 10:30:18 EST
Sure.

Checking in install_main.pl;
/cvs/rhn/rhn/satellite/install/install_main.pl,v  <--  install_main.pl
new revision: 1.113; previous revision: 1.112
Comment 8 Jan Pazdziora 2007-11-21 04:03:06 EST
With ISO rhn-satellite-5.1.0-26-redhat-linux-as-*, moving ON_QA.
Comment 9 Todd Sanders 2007-11-28 12:08:16 EST
Product Management reviewed and declined this request; see Comment #1 & #2
above.  Please revert this change to the install_main.pl.  I've spoken to Cliff
about this.

Personally, I don't see the need/value to highlight the fact that the Satellite
UI works with text-based browsers.  If users choose to install X on their
Satellite system, then so be it.  The important thing is that we don't *require* it.

-Todd
Comment 10 Jan Pazdziora 2007-11-28 13:23:12 EST
Checking in install_main.pl;
/cvs/rhn/rhn/satellite/install/install_main.pl,v  <--  install_main.pl
new revision: 1.115; previous revision: 1.114

Note You need to log in before you can comment on or make changes to this bug.